{ pkgs ? import <nixpkgs> {}, lib ? pkgs.lib }:
let 
    package = builtins.fromJSON (builtins.readFile ./package.json);
in
pkgs.buildNpmPackage rec {
  pname = package.name;
  version = package.version;

  src = ./.;

  npmDepsHash = "sha256-R06AIzbXKud5cFYAn1hsuOndSu20s59eRMkwjNQynXA=";

  # The prepack script runs the build script, which we'd rather do in the build phase.
  npmPackFlags = [ "--ignore-scripts" ];

  meta = with lib; {
    description = package.description;
    homepage = package.homepage;
    license = builtins.getAttr (toLower package.license) licenses;
    maintainers = with maintainers; [ nyx ];
  };
}